<bugID>959564<Summary>[UX] Design for awesomebar search suggestions</Summary><Description>Which answers the following questions:

- how to disambiguate frecency results with same favicon?
- how does it interleave with history/frecency items?
- how many are we showing?
- how to handle search default without suggests?
- how to handle asynchrony of results?</Description></bugID>